import request from '@/utils/request'

// 创建技术运维单位
export function createManufacturer(data) {
  return request({
    url: '/server/manufacturer/create',
    method: 'post',
    data: data
  })
}

// 更新技术运维单位
export function updateManufacturer(data) {
  return request({
    url: '/server/manufacturer/update',
    method: 'post',
    data: data
  })
}

// 删除技术运维单位
export function deleteManufacturer(id) {
  return request({
    url: '/server/manufacturer/delete?id=' + id,
    method: 'post'
  })
}

// 获得技术运维单位
export function getManufacturer(id) {
  return request({
    url: '/server/manufacturer/get?id=' + id,
    method: 'get'
  })
}

// 获得技术运维单位分页
export function getManufacturerPage(params) {
  return request({
    url: '/server/manufacturer/page',
    method: 'get',
    params
  })
}
// 导出技术运维单位 Excel
export function exportManufacturerExcel(params) {
  return request({
    url: '/server/manufacturer/export-excel',
    method: 'get',
    params,
    responseType: 'blob'
  })
}
